Name:           littlewizard
Version:        1.2.2
Release:        %mkrel 11
Summary:        Development Environment for Children
License:        GPLv2
Group:          Development/Tools
Url:            https://littlewizard.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        littlewizard.1
Source2:        ru.po
# wget -nH -p -k https://littlewizard.sourceforge.net/tutorial.html
Source3:        tutorial.tar
Source4:        examples.tar
Patch0:         %{name}-%{version}-do-not-override-toolbar-style.patch
Patch1:         %{name}-desktop.patch
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4

%description
Little Wizard is created especially for primary school children. It allows to
learn programming using the main elements of contemporary computer languages,
including: variables, expressions, loops, conditionals, and logical blocks.
Every element of the language is represented by an intuitive icon. Little
Wizard can be programmed without using the keyboard - only using the mouse.
Little Wizard ships with example files and a tutorial.

%package devel
Summary:        Development headers and files for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
%{name} development.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0

cp -f %{SOURCE2} ./po/

sed -i -e "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g" ./configure.in
sed -i -e "s|AM_PROG_CC_STDC|AC_PROG_CC|g" ./configure.in

%build
autoreconf -fi
%configure --disable-static
%make_build

mkdir tutorial
mkdir examples
tar -C tutorial -x -f %{SOURCE3}
tar -x -f %{SOURCE4}

%install
%make_install

# removing useless files
rm -rf %{buildroot}%{_bindir}/littlewizardtest
rm -rf %{buildroot}%{_prefix}/doc/littlewizard
rm -rf %{buildroot}%{_libdir}/*.*a

# man page
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1

# examples
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a ./examples/* %{buildroot}%{_datadir}/%{name}/examples/

# icons
mv %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/Adwaita

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO tutorial/*
%dir %{_datadir}/icons/Adwaita/48x48/mimetypes
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/Adwaita/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/icons/Adwaita/scalable/mimetypes/gnome-mime-application-x-%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}
%{_libdir}/liblanguage.so.*
%{_libdir}/liblw.so.*
%{_mandir}/man1/littlewizard.1.*

%files devel
%{_includedir}/*
%{_libdir}/liblanguage.so
%{_libdir}/liblw.so


%changelog
* Sun Mar 16 2025 wally <wally> 1.2.2-11.mga10
+ Revision: 2164933
- rebuild for libxml2 2.13.6

* Sun Dec 22 2024 pterjan <pterjan> 1.2.2-10.mga10
+ Revision: 2127821
- Rebuild for patchN deprecation

* Sat Mar 26 2022 umeabot <umeabot> 1.2.2-9.mga9
+ Revision: 1828207
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.2.2-8.mga8
+ Revision: 1514850
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-7.mga7
+ Revision: 1299322
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 pterjan <pterjan> 1.2.2-6.mga6
+ Revision: 956101
- The winning combination is to use autoreconf and disable libtoolize
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Feb 09 2015 shlomif <shlomif> 1.2.2-5.mga5
+ Revision: 814245
- move icons from /gnome/ to /Adwaita/ .
- Revise the descriptions to make them more grammatical.

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 747212
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 681961
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 alexl <alexl> 1.2.2-2.mga5
+ Revision: 654970
- fixed macroses in spec (policy)

* Sat Feb 15 2014 alexl <alexl> 1.2.2-1.mga5
+ Revision: 592424
- imported package littlewizard

